<!--- 
	YOU WILL NEED AN API KEY FROM FLICKR TO RUN THIS EXAMPLE
	GET THE KEY FROM: http://www.flickr.com/services/api/
--->

<cfparam name="form.tags" default="">

<h2>Search Photos using Flickr API</h2>

<cfoutput>
	<cfform name="frmTags" method="post" action="#cgi.script_name#">
		<table>
			<tr>
				<td>Tags</td>
				<td><cfinput type="text" name="tags"
						value="#form.tags#"
						maxlength="200" size="40"
						required="true" message="Please enter some tags">
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td><input type="submit" name="btnSubmit" value="Search"></td>
			</tr>
		</table>
	</cfform>
</cfoutput>

<cfif isDefined("form.btnSubmit")>

	<cfset oFlickr = createObject("component","com.nagpals.wotp.yahoo.Flickr")>

	<!--- ADD YOUR API KEY IN THE VARIABLE BELOW --->
	<cfset api_key = "===== ADD YOUR API KEY HERE ======">

	<cfset qResults = oFlickr.tagSearch(api_key=api_key,tags="#form.tags#")>

	<cfoutput query="qResults">
		<p>#qResults.title# <br/>
		<a href="#qResults.urioriginal#"><img src="#qResults.urithumb#" border=0></a>
		</p>
	</cfoutput>

</cfif>

